com.example.infiniteLoop.parkingo.login_activity Class Reference
Inheritance diagram for com.example.infiniteLoop.parkingo.login_activity:

## Public Member Functions

void | loginSuccess (Map user)

- Notifies the user if the login is successful

More...

void | loginFailure ()

- Notifies the user if the login is failed

More...

void | onBackPressed ()

- User exits out of the app if prev button is pressed

More...

## Protected Member Functions

void | onCreate (Bundle savedInstanceState)

## Member Function Documentation

## loginFailure()

void com.example.infiniteLoop.parkingo.login_activity.loginFailure | ( |  | ) |

inline

- Notifies the user if the login is failed

Returns
  - void

## loginSuccess()

void com.example.infiniteLoop.parkingo.login_activity.loginSuccess | ( | Map | user | ) |

inline

- Notifies the user if the login is successful

Parameters

  - | user - A map containing the name and username of the user

Returns
  - void

## onBackPressed()

void com.example.infiniteLoop.parkingo.login_activity.onBackPressed | ( |  | ) |

inline

- User exits out of the app if prev button is pressed

Returns
  - void

The documentation for this class was generated from the following file:

- /home/bhavesh/Desktop/cs699/parkingo/parkingo/source/app/src/main/java/com/example/infiniteLoop/parkingo/login_activity.java